#
# spec file for package yast2-storage (Version 2.9.59)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  evms gpp libgpp libxcrypt libxcrypt-devel yast2-devel-packages yast2-installation

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl dejagnu doxygen evms expect gcc gcc-c++ gdbm gettext libstdc++-devel libtool libxcrypt-devel liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext popt-devel rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-installation yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite

Name:         yast2-storage
Version:      2.9.59
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-storage-2.9.59.tar.bz2
prefix:		/usr
Requires:     yast2 parted yast2-installation
Provides:     y2a_fdsk yast2-config-lvm_config yast2-config-disk
Obsoletes:    y2a_fdsk yast2-config-lvm_config yast2-config-disk
Provides:     yast2-agent-fdisk yast2-agent-fdisk-devel
Obsoletes:    yast2-agent-fdisk yast2-agent-fdisk-devel
Provides:     yast2-trans-inst-partitioning
Obsoletes:    yast2-trans-inst-partitioning
Provides:     y2t_inst-partitioning
Obsoletes:    y2t_inst-partitioning
Summary:      YaST2 - Storage Configuration

%description
This package contains the files for YaST2 that handle access to disk
devices during installation and on an installed system.



%prep
%setup -n yast2-storage-2.9.59

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
# storage
%dir /usr/share/YaST2/include/partitioning
/usr/share/YaST2/include/partitioning/*.ycp
%dir /usr/share/YaST2/include/storage
/usr/share/YaST2/include/storage/*.ycp
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/*
%dir /usr/share/YaST2/data
/usr/share/YaST2/data/*.ycp
%doc %{prefix}/share/doc/packages/yast2-storage
# agents-scr
/usr/share/YaST2/scrconf/*.scr
%dir %{_libdir}/YaST2/plugin
# agent-{fdisk,lvm,md}
%{_libdir}/YaST2/plugin/libpy2ag_storage.so*
%{_libdir}/YaST2/plugin/libpy2ag_fdisk.so*
%if %sles_version >= 9
%{_libdir}/YaST2/plugin/libpy2ag_evms.so*
%endif
%{_libdir}/YaST2/plugin/libpy2ag_lvm.so*
%{_libdir}/YaST2/plugin/libpy2ag_md.so*
# clinet-makefs
%{_libdir}/YaST2/plugin/libpy2makefs.so*
# client-parted
%{_libdir}/YaST2/plugin/libpy2parted.so*
# disk
%dir %{prefix}/share/applications/YaST2
%{prefix}/share/applications/YaST2/disk.desktop
%{prefix}/share/applications/YaST2/lvm_config.desktop
%{prefix}/share/applications/YaST2/cdrom.desktop
%{prefix}/share/applications/YaST2/controller.desktop

%changelog -n yast2-storage
* Thu Aug 12 2004 - fehr@suse.de
- fix bug in handling of PPC prep boot during autoinstall (#43521)
- 2.9.59
* Mon Jul 12 2004 - fehr@suse.de
- fix update usbdevfs --> usbfs (#42734)
- ignore notready flag for S390 dasd (#42393)
* Thu Jun 24 2004 - fehr@suse.de
- skip check for resizing mounted fs in inst-sys (#42429)
* Thu Jun 24 2004 - fehr@suse.de
- fix failing mkfs for JFS and XFS (#42394, #40853)
- 2.9.58
* Wed Jun 23 2004 - fehr@suse.de
- reset format flag for partitions in EVMS container (#42394)
* Tue Jun 22 2004 - fehr@suse.de
- use grub if root filesystem is EVMS, not lilo (#41198)
- 2.9.57
* Tue Jun 15 2004 - fehr@suse.de
- destroy raid superblocks before calling pvcreate (#41890)
- 2.9.56
* Mon Jun 14 2004 - fehr@suse.de
- improve synchronisation ine EVMS dialog when partitioning is
  modified (#41917)
- 2.9.55
* Wed Jun 09 2004 - fehr@suse.de
- reduce log level in evms_open_engine (#41615)
- make newly created partitions also visible in main evms dialog
  (#41198)
- prevent hang when invalid pesize is used (#41802)
- 2.9.54
* Sat Jun 05 2004 - fehr@suse.de
- fix correct loading order of SCSI modules (#40018)
- 2.9.53
* Tue Jun 01 2004 - fehr@suse.de
- fix deletion of evms volumes #40857
- 2.9.52
* Tue Jun 01 2004 - fehr@suse.de
- fix the problem handling native EVMS volumes in bug #40857
- deactivate boot.evms after update (#41480)
- 2.9.51
* Thu May 27 2004 - fehr@suse.de
- fix mount order when non-EVMS mounts are below EVMS mounts (#41198)
- copy evms device nodes into installed system (#41198)
- fix function Storage::CheckForEvmsRootFs (#41198)
- 2.9.50
* Wed May 26 2004 - fehr@suse.de
- add new flag prep_install to PreP partition from suggestion (#41213)
* Tue May 25 2004 - fehr@suse.de
- add newly created partitions to EVMS container pv list (#41198)
- call script to reset dasd driver in S390
- fix bug in size calculation when modifying MD devices (#40974)
- 2.9.49
* Mon May 24 2004 - fehr@suse.de
- fix module load order between modules loaded by linuxrc and
  modules loaded by YaST2 (#40018)
- fix detection of root fs on ppc machines (#40942)
- some fixes added by Joachim Plack for ppc boot setup (#40305)
- 2.9.48
* Wed May 19 2004 - fehr@suse.de
- fix wrong evms container size calculations (#40778, #40776)
- 2.9.47
* Tue May 18 2004 - fehr@suse.de
- fix popup with fs options for JFS (#40760)
- 2.9.46
* Mon May 17 2004 - fehr@suse.de
- add missing return to Storage::GetTranslatedDevcies (#39437)
- add mount point suggestion to md create dialog (#40083)
- minimal stripe size in software raid is now 4k (#40519)
* Thu May 13 2004 - fehr@suse.de
- fixed various bugs in evms handling (e.g. #39965)
- 2.9.45
* Wed May 12 2004 - fehr@suse.de
- order of controllers in initrd the same as in
  /etc/install.inf (#40018)
- fix bug that made resize popup non-functional after editing a
  partition (#40351)
* Tue May 11 2004 - fehr@suse.de
- fix HaveLinuxPartitions to only check real disks (#39950)
* Thu May 06 2004 - fehr@suse.de
- fix bug creating EVMS container (#39965)
- 2.9.44
* Thu May 06 2004 - nashif@suse.de
- autoyast: missing time-out in raiddetect dialog during auto
  installation (#40057)
* Thu May 06 2004 - fehr@suse.de
- do not use old style swap partitions with kernel 2.6 (#39970)
* Wed May 05 2004 - fehr@suse.de
- fix detection of evms agent on systems using lib64 (#39939)
- fix problem with both sda1 and dasda1 in /proc/partitions (#39953)
* Tue May 04 2004 - fehr@suse.de
- patch proofreaded text back into ycp
* Mon May 03 2004 - fehr@suse.de
- write also non-created raids into /etc/raidtab
- fix wrong proposal in gpt partition table (#38858)
* Thu Apr 29 2004 - fehr@suse.de
- remove literal references to "SuSE Linux" (#39505)
- Add functions to handle Update hdx -> iseries/vdx
- 2.9.43
* Tue Apr 27 2004 - fehr@suse.de
- call evms_close_engine() only if open succeeded (#36927)
- check for installed lvm2 only in installed system
* Mon Apr 26 2004 - fehr@suse.de
- remove debug code for Mode::test = true (#39444)
* Thu Apr 22 2004 - fehr@suse.de
- re-init error ycp map oterwise (#39116)
- assert lvm2 being installed when selecting lvm in expert
  partitioner (#39253)
- fix bug handling disk selection after expert dialog (#39228)
- fix handling of large number of disk in ChoosDisk
- fix wrong sorting of md and loop in expert partitioner
- 2.9.42
* Wed Apr 21 2004 - fehr@suse.de
- fix bug handling LVM sizes under certain circumstances (#39099)
- handle unformatted DASDs on S390 (#39174)
- fix remembering of last edited disk
- silently destroy aix disk label (#38095)
- 2.9.41
* Tue Apr 20 2004 - fehr@suse.de
- make device /dev/iseries/vd known to YaST2 lvm agent (#39188)
* Mon Apr 19 2004 - fehr@suse.de
- patch proofread texts back into ycp
- fix bugs with failing last resort proposal (#38863, #38959)
- 2.9.40
* Thu Apr 15 2004 - fehr@suse.de
- add missing inst_evms.ycp to package
- add support for partitioning on S390 DASD devices
- check minimal fs size also for LVM and EVMS LVs (#32906)
- 2.9.39
* Tue Apr 13 2004 - fehr@suse.de
- handle partition id 23 (NTFS hidden) like partition id 7
- call ntfsresize with option -f
- remove dasd driver parameter menue for S390 (#38818)
- 2.9.38
* Wed Apr 07 2004 - fehr@suse.de
- fix problem with loop setup during installation (#38631)
- 2.9.37
* Tue Apr 06 2004 - fehr@suse.de
- fix problem when resizing filesystem (#38406)
- fix problem with crypto setup and loop files (#38480)
- fix problem due to caching of AnyAgent (#38144)
- fix typo introduced that prevents build
- make resize for vfat filesystems work again (#38106)
- fix overwritten return code of CheckResizePossible
- use option acl,user_xattr only for formatted filesystems (#37241)
- 2.9.36
* Mon Apr 05 2004 - fehr@suse.de
- fix wrong size display in lv dialog (#38139)
- do not display parted warning for fakeraid disks and do try to
  avoid installation on fakeraid disks if at all possible (#36157)
- fix hang when removing created LVM VG
- fix bug in LVM setup with cciss devices (#38387, #34064)
- fix possible hang when doing multiple resizes (#38377)
- 2.9.35
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Thu Apr 01 2004 - fehr@suse.de
- fix problem in size computation of LVs (#37818)
- fix empty partitioner window after removing all parts (#37875)
- add check that prevents removal of last PV from a VG (#37745)
- add suport for /dev/iseries/vd disk types (#37923)
- 2.9.33
* Wed Mar 31 2004 - fehr@suse.de
- use nls= instead of iochars= for ntfs partitions (#37624)
- fix displayed info while resizing a LVM LV (#37640)
- prevent some warnings in y2log
- make libpy2ag_evms only part of SLES9 rpm
- check for an valid block device before formatting (#37654)
- add warning if a fake raid disk is seen by hwinfo
- 2.9.32
* Tue Mar 30 2004 - fehr@suse.de
- fix handling of EVMS devices, suppress evms loop devices (#37033)
- fix installation of lvm2 package if needed (#37279)
- fix disk selection problem for large number of disks (#34065)
* Mon Mar 29 2004 - fehr@suse.de
- suppress codepage option if value is 437 (the default) anyways
- fix writing fstab entries in cdrom module (#37323)
- fix recognition of root mount point (#37319)
- fix numbering of win boot strings (#37304)
- process all non-EVMS devices before EVMS device in inst_prepdisk
- 2.9.31
* Thu Mar 25 2004 - fehr@suse.de
- make crypto setup work again (#36878, 34710)
- remove obsolete losetup agent
- 2.9.30
* Tue Mar 23 2004 - fehr@suse.de
- add CheckForEvmsRootFs() to Storage module
- fix bug with size computation and too large pesize in LVM (#36759)
* Mon Mar 22 2004 - fehr@suse.de
- fix syntax error in do_proposal.ycp
- 2.9.29
* Mon Mar 22 2004 - fehr@suse.de
- fix typo in cdrom config (#36619)
- use Installation::scr_destdir not Installation::destdir (#34996)
- remove unneeded device mapper entries using "dmsetup remove"
- fix problem with naming of multiple windows mount points (#36654)
- enable buttons in cdrom and controller modules (#36620)
- do not create multiple fstab entries per cdrom any more (#36469)
- do not use \product; macro any more (#36716)
- 2.9.28
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Thu Mar 18 2004 - fehr@suse.de
- do not remove unused autogenerated evms volumes, this has unwanted
  side effects (#36319)
- do not auto-detect swap on evms partitions
* Wed Mar 17 2004 - fehr@suse.de
- use iocharset=utf8 in fstab for fat,ntfs,cdrom and jfs (#36242)
- fix detection of windows partitions
* Wed Mar 17 2004 - fehr@suse.de
- fix bugs in handling integrated evms config
- 2.9.26
* Tue Mar 16 2004 - fehr@suse.de
- make evms device better coexist with non-evms device during install
- 2.9.25
* Tue Mar 16 2004 - fehr@suse.de
- replaced occurrences of SuSE Linux by &product; (#36135)
- add some UI wizardry around call to s390-disk-controller
- re-init evms agent after disk partitioning
- 2.9.24
* Mon Mar 15 2004 - fehr@suse.de
- add nodev to mount options for Cdrom (#35754)
- add blocksize to XFS options (#35684)
- use ProductFeatures to enable EVMS config
- use iocharset-Option to mount windows partitions matching to
  the current installation language (#34559)
- fix bug in adding/removing PVs into VGS (#35587)
- 2.9.23
* Mon Mar 15 2004 - nashif@suse.de
- fixed compile error
* Thu Mar 11 2004 - fehr@suse.de
- make ntfs resize work with new version of ntfsresize
* Wed Mar 10 2004 - fehr@suse.de
- fix type information for call to Partitions::GetFstab
- 2.9.21
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.20
- Migration to new wizard
* Mon Mar 08 2004 - fehr@suse.de
- add calls to Wizard::SetDesktopIcon(...)
- update fstab with subfs entries for cdrom and floppy (#34996)
- fix missing 0x41 Prep entry on PPC (#35462)
- add call to s390-disk-config to StorageController::Initialize()
- ongoing EVMS integration
- 2.9.19
* Sun Mar 07 2004 - kkaempf@suse.de
- fix continue in repeat-until
- more type information
- fix include installation
- 2.9.18
* Fri Mar 05 2004 - fehr@suse.de
- add evms agent
- 2.9.17
* Thu Mar 04 2004 - visnov@suse.cz
- added type info
- 2.9.16
* Wed Mar 03 2004 - fehr@suse.de
- get rid of uses of change ycp command
* Mon Mar 01 2004 - fehr@suse.de
- patch proofreaded texts back into ycp
- continued adding support for evms
- 2.9.15
* Thu Feb 26 2004 - fehr@suse.de
- propagate changes in fstab options, new interpreter new YCP
  semantics (#35099)
* Wed Feb 25 2004 - fehr@suse.de
- make partition table sanity check less stringent (#34957)
- fix computation if suggested swap size (thanks Anas ;-)
* Tue Feb 24 2004 - fehr@suse.de
- use acl and user_xattr as default fstab options (#34684)
- more new interpreter fixes
- fix typos `reiserfs -> `reiser
- version 2.9.14
* Tue Feb 24 2004 - kkaempf@suse.de
- check BIOS resources on 'wintel' systems only (#34853)
* Mon Feb 23 2004 - fehr@suse.de
- set "old_swap" on v0 swap partitions to true
- version 2.9.12
* Mon Feb 23 2004 - fehr@suse.de
- make flexible_proposal work with new interprerter (#34830)
- get evms info only if evms agent is present
- version 2.9.11
* Fri Feb 20 2004 - fehr@suse.de
- subfs mountpoint must no be "noauto" in /etc/fstab
- evms development continued
- changes to adapt to new sort function semantics
- remove option -A when doing vgchange -a [y|n] new tools
  do not like it
- add fstab entry for sysfs (#34772)
- fix problem with creation of swap partition (#34667)
- install lvm2 and evms only when needed (#34657)
- version 2.9.10
* Thu Feb 19 2004 - fehr@suse.de
- remove special handling for ide recorders
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Wed Feb 18 2004 - fehr@suse.de
- fix some problems with partitioning
- first bunch of changes for EVMS support
- ignore small size differences when checking partitions (#34658)
- fix module loading problem with new kernel (#34692)
- 2.9.9
* Fri Feb 13 2004 - fehr@suse.de
- change usbdevfs -> usbfs (#34531)
* Thu Feb 12 2004 - fehr@suse.de
- fix problem with partition suggestion
- Fix wrong output redirection with guessfstype (#34498)
- 2.9.8
* Tue Feb 10 2004 - fehr@suse.de
- fix problem with handling cdrom drives
- 2.9.7
* Tue Feb 10 2004 - arvin@suse.de
- syntax fix in inst_prepdisk.ycp
* Tue Feb 10 2004 - fehr@suse.de
- enable subfs support in /etc/fstab (#33383)
- version 2.9.6
* Mon Feb 09 2004 - fehr@suse.de
- make other fs besides reiserfs work again
- some more fixes
- version 2.9.5
* Sat Feb 07 2004 - arvin@suse.de
- removed config files (*.y2cc)
- make other fs besides reiserfs work
- version 2.9.5
* Fri Feb 06 2004 - fehr@suse.de
- fixes for new interpreter (no implicit call by reference for maps
  any more)
- first minor changes for EVMS support
- version 2.9.4
* Thu Feb 05 2004 - fehr@suse.de
- various fixes for new interpreter
- version 2.9.3
* Mon Feb 02 2004 - fehr@suse.de
- various fixes for new interpreter
- use /boot/efi instead of /boot on ia64 (#21644)
- version 2.9.2
* Thu Jan 29 2004 - mvidner@suse.cz
- redirection from ag_{fdisk,lvm,md} to ag_storage via symlinks
* Tue Jan 27 2004 - mvidner@suse.cz
- Moved agent-losetup here from yast2-core.
- version 2.9.1
* Fri Jan 23 2004 - fehr@suse.de
- first version suitable for new interpreter
- version 2.9.0
* Tue Jan 13 2004 - fehr@suse.de
- fix bad partitioning suggestion on Mylex Raid (#32895)
* Thu Dec 04 2003 - fehr@suse.de
- fix problem in handling LVM LVs in repair mode (#32899)
* Wed Nov 19 2003 - fehr@suse.de
- add warning when resizing mounted file system (#32601)
* Fri Oct 24 2003 - fehr@suse.de
- increase minimal size for boot on ia64 to 200 MB
* Thu Oct 23 2003 - fehr@suse.de
- add warning when GPT is used for system disk on non-ia64
  platform (#32485)
* Mon Oct 20 2003 - fehr@suse.de
- fix handling of encrypted loop fs with "noauto" fstab option
* Fri Oct 17 2003 - fehr@suse.de
- add entry of EFI Boot to partition list on IA64 (#30192)
* Thu Oct 16 2003 - fehr@suse.de
- reworked reading fstab, now copes with multiple fstab versions
  found and can also read fstab from MD or LVM devices (#32058)
- do not mix up 0x41 Prep Boot with normal /boot partition (#32405)
* Wed Oct 15 2003 - fehr@suse.de
- default is now acl activated (#32342)
- prevent y2log entries of error log level (#30421)
* Tue Oct 07 2003 - fehr@suse.de
- fix handling of mounted loop devices in running system (#32077)
- fix changing mount point of ntfs filesystems (#32077)
* Mon Oct 06 2003 - fehr@suse.de
- add lvm_mod to INITRD_MODUELS when root is on LVM (#32008)
* Wed Oct 01 2003 - fehr@suse.de
- add /tmp to list of suggested mount points (#31924)
* Mon Sep 29 2003 - fehr@suse.de
- ignore SCSI disks on PPC iSeries since it cannot boot (#31633)
- prevent creation of 0x41 PPC Prep partition in extended partition
  (#28977)
- display ignoreable warning when using RAID for /boot (#31468)
- improve text in lvm error popup (#31409)
- fix help text for editing existing partition (#31046)
* Fri Sep 26 2003 - fehr@suse.de
- show disk selection instead of exptert dialog if  part proposal
  is impossible
* Mon Sep 22 2003 - fehr@suse.de
- work around deactivation of md root fs (#31617)
- version 2.8.19
- fix creation of /dev/dvd for multi capable drives (#31504)
- make usage of back button in raid config less confusing (#31504)
- version 2.8.18
* Fri Sep 19 2003 - fehr@suse.de
- add error popup when no LV selected (#31409)
- cope with already mounted windows partitions in GetFreeSpace (#31016)
- version 2.8.17
* Wed Sep 17 2003 - fehr@suse.de
- mount windows filesystems read-only in FileSystems::GetFreeSpace
  (#30757)
- version 2.8.16
* Tue Sep 16 2003 - fehr@suse.de
- fix detection of Windows partitions in running system (#31016)
- fix removal of last raid in installation system
- version 2.8.15
* Sun Sep 14 2003 - adrian@suse.de
- version 2.8.14
- let it work in kcontrol again
* Thu Sep 11 2003 - fehr@suse.de
- allow '/' in fs labels (#30443)
* Tue Sep 09 2003 - fehr@suse.de
- fix bug in distribution to multiple disks in flexible proposal
* Mon Sep 08 2003 - fehr@suse.de
- desktop icons updated
- version 2.8.13
* Thu Sep 04 2003 - fehr@suse.de
- fix detection for controllers deactivated in BIOS (#29777)
- version 2.8.12
* Wed Sep 03 2003 - fehr@suse.de
- fix bug in ntfs resize dialog (#29933)
* Tue Sep 02 2003 - fehr@suse.de
- fix bug in raid edit dialog (#29819)
* Mon Sep 01 2003 - fehr@suse.de
- fix for #29706 by gs@suse.de
- use Popup::ConfirmAbort()
- fix problem with too large MaxSize in lvm dialog (#29763)
- version 2.8.11
* Thu Aug 28 2003 - fehr@suse.de
- fix moved modules variable (#29536) and another mistyped variable
- do not handle partition for which ntfsresize barfs as non-windows
  (#29469)
* Wed Aug 27 2003 - fehr@suse.de
- make partition proposal behave normally (#29412)
* Tue Aug 26 2003 - fehr@suse.de
- fix bug of computing a slightly too small size for resized ntfs
  under certain circumstances (#29326)
- 2.8.10
* Fri Aug 22 2003 - arvin@suse.de
- skip inst_prepdisk during update
- 2.8.9
* Thu Aug 21 2003 - fehr@suse.de
- fix bug in handling crypted partitions (#29154)
- use Popup::ConfirmAbort in inst_prepdisk.ycp
* Wed Aug 20 2003 - fehr@suse.de
- fix wrong suggestion when reusing boot partition larger than 200M
  on ia64 (#28976)
- do not format a reused boot partition in ia64 any more
* Tue Aug 19 2003 - fehr@suse.de
- remove include of obsolete common_functions.ycp
- minor fixes in some texts
- version 2.8.8
* Wed Aug 13 2003 - fehr@suse.de
- improve label displayed during partition formatting (#28711)
- fix detection of win partitions (#28740)
* Fri Aug 08 2003 - fehr@suse.de
- patch proofread texts back into sources
- version 2.8.7
* Fri Aug 08 2003 - fehr@suse.de
- finally fix the adding of SCSI controller modules to Initrd
- version 2.8.6
* Wed Aug 06 2003 - fehr@suse.de
- handle new option "noauto" in fstab option dialog
- allow "noauto" to be set for loop based devices put them into
  /etc/fstab instead of /etc/cryptotab in this case.
- allow unencrypted filesystems on file based loops
- show filesystem label in expert partitioner if it exists (#28268)
- version 2.8.5
* Wed Jul 30 2003 - fehr@suse.de
- merge fdisk, lvm and md agent into one storage agent
- version 2.8.4
- add modulename to module Initrd for already loaded modules in
  StorageController
* Wed Jul 23 2003 - fehr@suse.de
- fix bug during removal of LVs on a VG containing MD devices as
  PVs (#28152)
* Thu Jul 17 2003 - fehr@suse.de
- fix bug resulting in missing fstab entry (#25367)
- fix some inconsistencies in LVM dialogs (#27924)
- make the buttons "Delete", "Edit" and "Resize" work consitently
  on LVM LVs, MD devices and file based loops
- version 2.8.3
* Thu Jul 10 2003 - fehr@suse.de
- add special popup for resize of disks (#25049)
- add field for stripesize to lv dialog (#24225)
* Wed Jul 09 2003 - fehr@suse.de
- detect bootable partitions on a disk
- add function Storage::GetBootPartition()
- fix too large controller dialog (#25932)
* Fri Jul 04 2003 - fehr@suse.de
- add support for configurtion of LVM2
- version 2.8.2
* Mon Jun 30 2003 - fehr@suse.de
- improve warnig message (#27590)
* Fri Jun 27 2003 - fehr@suse.de
- integrate resizing of ntfs partitions
- version 2.8.1
* Wed Jun 18 2003 - fehr@suse.de
- add handling of Storage::ZeroNewPartitions to get rid of LVM
  related autoinstall problems
* Mon Jun 16 2003 - fehr@suse.de
- fix bug in flexible proposal
* Tue Jun 10 2003 - fehr@suse.de
- Use new Modules Label and Popup wherever possible
* Thu Jun 05 2003 - fehr@suse.de
- fix bug causing failures when create more than one software
  raid (#27252)
- change message text displayed when /etc/raidtab content does not
  match /proc/mdstat
- make it build again with new checks
- add flexible partitioning suggestion
- version 2.8.0
* Wed May 21 2003 - fehr@suse.de
- add patch from Anas for fix of bug #26906
* Mon Apr 28 2003 - arvin@suse.de
- some fixes for live eval (bug #26457)
* Tue Mar 18 2003 - fehr@suse.de
- fix check for data journaling mode for ext3 root (#25587)
- version 2.7.19
* Fri Mar 14 2003 - jsrain@suse.de
- added missing import "Kernel"; to fix building of yast2-bootloader
  yast2-bootloader doesn't build without this fix
- version 2.7.18
* Thu Mar 13 2003 - fehr@suse.de
- add kernel cmdline handling for IDE recorders from inst_finish.ycp
  to StorageDevices.ycp. Cdrom probing is done sooner also (bug #25293)
- version 2.7.17
- remove offending character from translatable text (#25210)
- undo fix for #24647 (breaks translations)
- version 2.7.16
* Tue Mar 11 2003 - fehr@suse.de
- fix serious problem with lvm creation when using newly created
  partitions
- do not treat notready disks automatically as zips
- add function DestroyMdOnAllDisks() needed by autoyast
- version 2.7.15
* Mon Mar 10 2003 - fehr@suse.de
- make cdrom and controller module close by windows title (#24988)
- version 2.7.14
* Fri Mar 07 2003 - fehr@suse.de
- handle freebsd partition like openbsd (#24740)
- try to get partitions ids from parted info even if resorting to
  data from /proc/partitions (#24740)
- version 2.7.13
* Wed Mar 05 2003 - fehr@suse.de
- fix translation comment for two texts (#24647)
- change default for ext3 fs to mountcount 500 and check interval
  2 months (#20978)
* Tue Mar 04 2003 - nashif@suse.de
- Move initialization of disk during auto-installation
  to inst_prepdisk (#23607 )
- version 2.7.12
* Mon Mar 03 2003 - fehr@suse.de
- patch proofreaded text back into ycp
- 2.7.11
* Thu Feb 27 2003 - fehr@suse.de
- fix systematically rounding problem when computing cylinders
  from parteds sizes wich lead to displays of cylinder numbers
  larger than existent (#24172)
* Wed Feb 26 2003 - fehr@suse.de
- fix handling of floppy drives with device names other than
  /dev/fd* (e.g. "IDE Floppy" LS-120 drives) (#24282)
- fix forgetting of windows info when entering expert partitioner
  (#24361)
* Tue Feb 25 2003 - fehr@suse.de
- fix typo in ACL option description (#24213)
* Mon Feb 24 2003 - fehr@suse.de
- fix detection of ntfs based windows systems (#24181)
- fix resizing for partition with invalid filesystem if format is
  true (#24180)
- prevent windows resize dialog from popping up before entering
  expert partitioner (#23975)
- keep the existing partitioning if one changes from installation
  onto a certain disk to usage of the expert partitioner
- 2.7.10
* Fri Feb 21 2003 - fehr@suse.de
- fix signed/unsigned problem with disk larger than 1 TB (#23872)
- fix missing reset of readonly partition table flag after deletion
  of partition table (#23996)
- ignore disks without dev_name entry (#24043)
- ignore additional entries in /proc/partitions if OpenBSD partition
  is present, becuase of possible OpenBSD slices (#24051)
* Thu Feb 20 2003 - fehr@suse.de
- use sentence style capitalisation in y2cc files (#23848)
- ignore FAT signatures on swap partitions (#23960)
* Wed Feb 19 2003 - fehr@suse.de
- add comments to texts for translators (#23774)
- fix endless sorting loop when RAID is used with scsi disks (#23747)
- remove obsolete modules xfs_support and xfs_dmapi (#23793)
- do not add encoding info to fat and cdrom mounts in /etc/fstab
  if encoding is utf8 (#23801)
* Tue Feb 18 2003 - fehr@suse.de
- add error popup when one adds more than 12 partitions to a
  md raid (#22952)
* Tue Feb 18 2003 - arvin@suse.de
- moved AsciiFile module to yast2 package
* Mon Feb 17 2003 - fehr@suse.de
- fix non-working partition resize (#23656)
- version 2.7.8
* Thu Feb 13 2003 - fehr@suse.de
- fix handling of parallel port ZIP drives (#16411)
* Tue Feb 11 2003 - fehr@suse.de
- make Storage::GetMountPoints() realize multiple mounts of same
  device (#23553)
- decrease startup time by skipping some lvm data gathering in agent
- recognize gpt partition with flag hp-service properly (#23488)
- remove partition id selection box on s390 (#21221)
* Mon Feb 10 2003 - fehr@suse.de
- patch proofreaded text back
- fix bug when reading fstab containing LABEL= or UUID= in device
  field (#20880)
- 2.7.7
* Fri Feb 07 2003 - fehr@suse.de
- patch proofreaded text back
- completely reworked cdrom configuration (#21997)
- change messages if resize of partitions is impossible (#23355)
- fix bug that broke Re-Reading of partition table (#23372)
- add possibility to set swap priority (#21426)
- clean up handling of gpt boot paritition on ia64
- add command line param hdXlun=0 for ide-cd-writers
- 2.7.6
* Fri Jan 31 2003 - fehr@suse.de
- fix bug that caused wrong initrd being created when pressing apply
  button in storage controller configuration multiple times (#22425)
- remove multiple entries for controllers with more than one channel
  in controller.ycp
- change handling of cd/dvd type according to new hwinfo (#20068)
- decrease size of lv create dialog (#23243)
- do not issue warning about resizing when format is true (#23153)
- ask if using max end cylinder in create partition dialog (#22463)
- remove fdisk binary from yast2, not used anymore
- 2.7.5
* Thu Jan 30 2003 - fehr@suse.de
- prevent possible proposal of disk creation on readonly disks
- fix bug in inst_do_resize (#23202)
* Wed Jan 29 2003 - fehr@suse.de
- patch proofreaded texts back into ycp
- fix bug in fstab entry creation (#23180)
* Mon Jan 27 2003 - fehr@suse.de
- add a warning if swap partition is not formatted as needed (#23106)
- forbid use of journalling mode for root fs on ext3 (#20511)
- add ACL options to ACL capable filesystems (#22818)
- Version 2.7.4
* Mon Jan 27 2003 - fehr@suse.de
- add handling of encrypted loop files
- Version 2.7.3
* Thu Jan 23 2003 - fehr@suse.de
- fix problem with ataraid controller (23058, 23056)
  delayed disk init during installation until all controllers loaded
  fix wrong regex for devices with name d<n>p<n>
* Tue Jan 21 2003 - fehr@suse.de
- fix problem with initialisation order that arises only when YaST2
  autoprobes non-ide disks
- Version 2.7.2
* Fri Jan 10 2003 - fehr@suse.de
- check for existence of windows specific files before returning as a
  win partition in GetForeignPrimary() (#21723)
- add member function DestroyLvmOnAllDisks() to Storage module (#22329)
* Tue Dec 17 2002 - fehr@suse.de
- check if parted output and content of /proc/partitions match
  if not use content of /proc/partitions and refuse to repartition
  the affected disk
- Version 2.7.1
* Fri Dec 13 2002 - fehr@suse.de
- set swap mount point only for partitions with valid swap signature
- try an umount before deleting a mounted partition (#22462)
- make disk selection dialog more easily usable (#21505, #22464)
- show Edit Raid button only when at least one raid exists (#21618)
* Thu Dec 12 2002 - fehr@suse.de
- ide-scsi related modules are not in initrd an more (#19376)
- add /srv to list of suggested mount points (#21844)
- remove hack of using a modifyied version of sequencer (#15662)
- make the normal proposal and the target partitioner suggest a much
  more similar parititioning than before by using more common code
  in the two parts of the partitioner
* Thu Dec 05 2002 - fehr@suse.de
- add check that no partition is mounted below /boot on IA64 (#21645)
* Fri Nov 22 2002 - fehr@suse.de
- changes for obsolete dumpto agent
* Thu Nov 21 2002 - fehr@suse.de
- update to version 2.6.55 of 8.1 branch
- add changes for new bootloader interface
- add function GetOtherLinuxPartitions() to Storage module
- 2.7.0
* Wed Sep 11 2002 - fehr@suse.de
- fix options iocharset and code for ntfs (#19430)
- 2.6.34
* Tue Sep 10 2002 - fehr@suse.de
- fix UseLilo function in for case of separate /boot partition (#19146)
- fix raid information in GetMountPoints()
- prevent iocharset=iso8859-15 on cdroms does not make much sense
- increase field size display of VG size (#18950)
- version 2.6.33
* Mon Sep 09 2002 - fehr@suse.de
- do not add default windows mount points if users decides to
  create its own partition setup
- exptend check for mount points in CheckOkMount (#19147)
- reset format flag if partition get part of MD or LVM (#19190)
- version 2.6.32
* Mon Sep 09 2002 - kukuk@suse.de
- Get rid of old hack on SPARC for fdisk, will break parted
* Sun Sep 08 2002 - fehr@suse.de
- add "users" to mount options of dos partitions in fstab (#18944)
- fix various bugs in win resizer (#19101, #19102, #19103)
- disable max field in LV creation if stripe count > 1 (#19073)
- recognize that sparc needs a /boot partition
- reformulate warning when LVM is root fs and no /boot.
  It now says clearly that this will not work.
- version 2.6.31
* Fri Sep 06 2002 - fehr@suse.de
- fix wrong size computation for gaps in proposal
- move function GetFreeSpace from Partitions to FileSystems
  and extend it with module loading
- disable vfat on PowerPC (#18989)
- save type of detected fs and reset to this type when formatting
  is switched off (#18977)
- add some Provides/Obsoletes
- load all raid personalities with insmod, autoloading seems broken
  in inst-sys
- fix path to parted in inst_resize_ui.ycp (#19061)
- fix missing of NTFS partititions in /etc/fstab (#18944)
- version 2.6.30
* Thu Sep 05 2002 - fehr@suse.de
- add support for scanning multipath entries in /proc/lvm/global
- import Boot just before use in StorageControllers.ycp
- fix scr file for reading /proc/dasd/devices for extended format
- fix fs recognition on encrypted devices (#17336)
- remove Provides and Obsoletes of yast2-core-clients{-devel}
- version 2.6.29
* Tue Sep 03 2002 - fehr@suse.de
- fix bug in function StorageDevices::FloppyReady() (#18773)
- fix misleading proposal text when formatting nothing (#18793)
- do not do a dd to zero the first blocks of formatted partitions
  on sparc
- version 2.6.28
* Mon Sep 02 2002 - fehr@suse.de
- add special help text for S390 (#17081)
- fix bug occuring sometimes when resizing reiserfs
- fix bug that made filesystem detection data get lost (#18727)
- fix bug with unformatted, encrypted, non-reiserfs filesystems (#17336)
- version 2.6.27
* Fri Aug 30 2002 - jsrain@suse.cz
- applied workarounds of some YCP interpreter bug
- 2.6.26
* Thu Aug 29 2002 - fehr@suse.de
- fix bug in Storage::GetDiskPartition() (thanks to Jiri)
- allow all filesystems on sparc (#18516)
- changed Partitions module to have empty initializer rewrite
  some global variables as functions
- fix bug concerning partitioning on sparc (#18565, #18518)
- version 2.6.25
* Wed Aug 28 2002 - fehr@suse.de
- add function Storage::UseLilo() to Storage module that tells
  boot loader config when to use Lilo instead of grub.
- version 2.6.24
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 26 2002 - fehr@suse.de
- return current value in StorageDevices::FloppyReady when no
  floppy driver is present (#18317)
- add entry for /media/cdrom to /etc/fstab if only /media/dvd or
  /media/cdwriter are present (#18300)
- check correctly if extended partition is allowd at all in
  do_proposal
- check bugs for mac partition label (#18205, #18201, #18199)
- remove warning bcause of xfs usage for /boot, grub can cope with
  xfs usage for files below /boot (#18395)
- version 2.6.23
* Fri Aug 23 2002 - fehr@suse.de
- fix wrong entry of fs_options on S390
- fix fstype probing when searching for existing fstab (#18230)
- do not create links /cdrom -> /media/cdrom etc. any more
- version 2.6.22
* Thu Aug 22 2002 - fehr@suse.de
- fix check for resizing capabilities (#18139)
- fix wrong variable name handling IDE-cdwriters
- add option keepSorting to tables where necessary
- fix bug not resetting suggested partitions (#18188)
- fix bug loading fs modules multiples times (#18213)
- version 2.6.21
* Wed Aug 21 2002 - fehr@suse.de
- fix check for use of fat filesystem for system dirs (#18121)
- fix typo in warning message (#18141)
* Mon Aug 19 2002 - fehr@suse.de
- fix wrong initialisation of cddrives
* Fri Aug 16 2002 - fehr@suse.de
- fix bug initializing partition table (#17770)
- add entry for /media/cdrom to /etc/fstab if only /media/dvd or
  /media/cdwriter are present.
- use new functions from lilo/misc.ycp to rerun bootloader and
  change kernel command line parameters in controller.ycp and
  cdrom.ycp
* Thu Aug 15 2002 - fehr@suse.de
- removed cdrom.y2cc and controller.y2cc again
* Wed Aug 14 2002 - fehr@suse.de
- add some more entries to ignored partitions on Macintosh
* Tue Aug 13 2002 - fehr@suse.de
- use default blocksize of 4096 for ext2 on S390 (#17658 )
- allow integration of existing crypted partitions without need
  for reformatting (#17336)
- patch proofreaded texts back into ycp files
* Mon Aug 12 2002 - fehr@suse.de
- fix bug with IDE writers (#17515)
- fix bug with logical partition in GPT (#17533)
- fix missing windows entries (#17565)
- fix missing cdrom links (#17569)
- "yast2 cdrom" now functional
- fix bug with wrong logical partitions on ppc
- version 2.6.18
* Fri Aug 09 2002 - fehr@suse.de
- fix bug recognizing mac partitions gt 4 as logical
- add module for disk controller configuration
- add skeleton module for cdrom integration
- version 2.6.17
* Thu Aug 08 2002 - fehr@suse.de
- fix two bugs in raid handling (raid1 setup was broken, handle
  raid type linear sensibly)
* Wed Aug 07 2002 - fehr@suse.de
- fix bugs in lvm config in installed system (#17485, #17486)
- enable LV usage as root filesystem and for swapping
- enable MD usage for swapping
- version 2.6.16
* Tue Aug 06 2002 - fehr@suse.de
- return also other bootable partitions in
  Storage::GetForeignPrimary() (#17458)
- various adaptions for mac support
- call mklabel to initialize partition table if necessary
- add entry "label" for the disk label of each disk
- handle deleting gpt partition tables correct
- version 2.6.15
* Mon Aug 05 2002 - fehr@suse.de
- recognize hfs as filesystem
- only check for partition size when formatting
- use new access for install.inf
- recognize partition types on macintosh partitions
- version 2.6.14
* Mon Aug 05 2002 - fehr@suse.de
- add changes for installation on S390
- version 2.6.13
* Thu Aug 01 2002 - fehr@suse.de
- allow arbitrary number of pathes for md raid
* Thu Aug 01 2002 - fehr@suse.de
- implement autodetection for multipath md devices
- version 2.6.12
* Wed Jul 31 2002 - fehr@suse.de
- fix bug with missing cdrom links in installed system (#17309)
* Wed Jul 31 2002 - fehr@suse.de
- implement md multipath configuration
- version 2.6.11
* Tue Jul 30 2002 - fehr@suse.de
- do not rely on rounding of parted to cylinder boundary it does
  not do this on gpt partition tables
- use parted on all partitions
* Mon Jul 29 2002 - fehr@suse.de
- fix bug in ppc prep partitioning also in target partitioner
- fix bug in partitioning suggestion when boot part is splitted
  from a larger part and no extended part is created
* Mon Jul 29 2002 - fehr@suse.de
- fix bugs in partition proposal on non-i386 architectures
- use partitions texts from Partitions module in expert partitioner
- fix bug in partition suggestion caused by partitions that do not
  end exactly on a cylinder boundary (#17186)
- fix missing fstab entry for root fs on S390 (#17243)
- remove volume name options from format options menue, this is
  now available in fstab options menue
- version 2.6.10
* Thu Jul 25 2002 - fehr@suse.de
- Fix probing for cdroms before writing fstab (#17226)
- add use of partition id information in parted
- do not use fdisk for setting partition id when UseParted is true
* Thu Jul 25 2002 - fehr@suse.de
- fix bugs concerning /boot partition on ia64
- fix bugs using partition suggestion when free space is available
- fix bugs 17186, 14188, 16158
- version 2.6.9
* Wed Jul 24 2002 - fehr@suse.de
- fix bugs in fstab handling in running system
- add handling of general fstab options
- version 2.6.8
* Mon Jul 22 2002 - fehr@suse.de
- patched proofread texts back into ycp files
- version 2.6.7
* Thu Jul 18 2002 - fehr@suse.de
- fix variouse bugs [17070, 17082, 16939, 17069]
- changed fstab handling to not overwrite user supplied fstab lines
  unknown to YaST or to change the fstab order when rewriting fstab
- version 2.6.6
* Mon Jul 15 2002 - fehr@suse.de
- fix namespace lookup
- agent infrastructure changed
- version 2.6.5
* Fri Jul 12 2002 - fehr@suse.de
- add changes to support mounting by uuid and label
- version 2.6.4
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Mon Jul 08 2002 - mvidner@suse.cz
- fixed Provides/Obsoletes
* Thu Jul 04 2002 - fehr@suse.de
- paths to parted and makefs client added to file list
* Thu Jul 04 2002 - fehr@suse.de
- devtools generated invalid specfile, this is now fixed
* Wed Jul 03 2002 - fehr@suse.de
- new version 2.6.3
- fix some bugs during fs resizing
- add fs resizing for LVM LVs
* Thu Jun 27 2002 - fehr@suse.de
- new version 2.6.2
- etc_fstab.scr is not any more in this package (now in yast2)
- adapt to new naming scheme for potfiles
- add lvm config modules
- datafiles now in /usr/lib/YaST2/data
- change path of parted to /usr/sbin/parted
- integration of fdisk and parted under one agent
- integration of arbitrary partition resizer
* Thu Jun 13 2002 - fehr@suse.de
- replace all references to .dumpto.tmp.<filename> that are not
  protected by if(Mode::test) by calls to SaveDumpPath(<filename>)
  because of security considerations
* Thu Jun 06 2002 - kkaempf@suse.de
- Properly remap boot_device if it is a cdrecorder (#16127).
* Tue May 21 2002 - fehr@suse.de
- add missing scr files to packages
- version 2.6.1
* Tue Apr 23 2002 - fehr@suse.de
- initial version
